package com.red.circle.wallet.app.service;

import com.red.circle.common.business.dto.cmd.AppExtCommand;
import com.red.circle.common.business.dto.cmd.IdLongCmd;
import com.red.circle.wallet.app.dto.clientobject.UserWithdrawInfoCO;
import com.red.circle.wallet.app.dto.cmd.UserWithdrawInfoAddCmd;
import com.red.circle.wallet.app.dto.cmd.UserWithdrawInfoUpdateCmd;
import java.util.List;

/**
 * 用户提现信息服务.
 *
 * @author tf
 */
public interface UserWithdrawInfoApiService {

  /**
   * 获得提现信息列表.
   */
  List<UserWithdrawInfoCO> listWithdrawInfo(AppExtCommand cmd);

  /**
   * 根据id删除提现信息.
   */
  void deleteById(IdLongCmd cmd);

  /**
   * 添加用户提现信息.
   */
  void add(UserWithdrawInfoAddCmd cmd);

  /**
   * 使用提现信息.
   */
  void use(IdLongCmd cmd);

  /**
   * 修改用户提现信息.
   */
  void update(UserWithdrawInfoUpdateCmd cmd);

}
